VRPlatformVRPlatform
Reports

/reports/sales-tax-liability

Sales Tax Liability Report

GET
/reports/sales-tax-liability
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

startDate*string

Date boundary string. Accepted syntax: YYYY, YYYY-MM, or YYYY-MM-DD.

Formatvrp-date-boundary
endDate*string

Date boundary string. Accepted syntax: YYYY, YYYY-MM, or YYYY-MM-DD.

Formatvrp-date-boundary
taxableLineIds*string
channels?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/reports/sales-tax-liability?startDate=2024-01-15&endDate=2024-01-15&taxableLineIds=string"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "taxableIncomeTotal": 0,
      "collectableTaxesTotal": 0,
      "channels": [
        {
          "name": "string",
          "taxableIncomeTotal": 0,
          "collectableTaxesTotal": 0,
          "reservations": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "taxableIncome": 0,
              "collectableTaxes": 0,
              "checkIn": "string",
              "checkOut": "string",
              "bookedAt": "string",
              "guestName": "string",
              "confirmationCode": "string",
              "nights": 0
            }
          ]
        }
      ]
    }
  ],
  "taxesIncomeTotal": 0,
  "collectableTaxesTotal": 0
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}